services:
  _defaults:
    autowire: false
    autoconfigure: false
    public: false

  DRK\DrkGeneral\:
    resource: '../Classes/*'

  cache.drk_general_apicache:
    class: TYPO3\CMS\Core\Cache\Frontend\FrontendInterface
    factory: ['@TYPO3\CMS\Core\Cache\CacheManager', 'getCache']
    arguments: ['drk_general_apicache']

  DRK\DrkGeneral\Domain\Repository:
    arguments:
      - '@cache.drk_general_apicache'
